## com.sun.jersey.api.core
Class ScanningResourceConfig

    java.lang.Object
      javax.ws.rs.core.Application
          com.sun.jersey.api.core.ResourceConfig
              com.sun.jersey.api.core.DefaultResourceConfig
                  com.sun.jersey.api.core.ScanningResourceConfig

All Implemented Interfaces:
  FeaturesAndProperties, ReloadListener

Direct Known Subclasses:
  ClasspathResourceConfig, PackagesResourceConfig, WebAppResourceConfig

    public class ScanningResourceConfig

extends DefaultResourceConfig
implements ReloadListener

A resource configuration that performs scanning to find root resource and provider classes.

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class com.sun.jersey.api.core.ResourceConfig

`COMMON_DELIMITERS, FEATURE_CANONICALIZE_URI_PATH, FEATURE_DISABLE_WADL, FEATURE_IMPLICIT_VIEWABLES, FEATURE_MATCH_MATRIX_PARAMS, FEATURE_NORMALIZE_URI, FEATURE_REDIRECT, FEATURE_TRACE, FEATURE_TRACE_PER_REQUEST, PROPERTY_CONTAINER_NOTIFIER, PROPERTY_CONTAINER_REQUEST_FILTERS, PROPERTY_CONTAINER_RESPONSE_FILTERS, PROPERTY_DEFAULT_RESOURCE_COMPONENT_PROVIDER_FACTORY_CLASS, PROPERTY_LANGUAGE_MAPPINGS, PROPERTY_MEDIA_TYPE_MAPPINGS, PROPERTY_RESOURCE_FILTER_FACTORIES, PROPERTY_WADL_GENERATOR_CONFIG`

Fields inherited from interface com.sun.jersey.core.util.FeaturesAndProperties
`FEATURE_DISABLE_XML_SECURITY, FEATURE_FORMATTED, FEATURE_PRE_1_4_PROVIDER_PRECEDENCE, FEATURE_XMLROOTELEMENT_PROCESSING`

Constructor Summary
`ScanningResourceConfig()`

Method Summary
`void` | `init(Scanner scanner)` Initialize and scan for root resource and provider classes using a scanner.
`void` | `onReload()` Perform a new search for resource classes and provider classes.
`void` | `reload()` Deprecated.

Methods inherited from class com.sun.jersey.api.core.DefaultResourceConfig
`getClasses, getExplicitRootResources, getFeature, getFeatures, getLanguageMappings, getMediaTypeMappings, getProperties, getProperty, getSingletons`

Methods inherited from class com.sun.jersey.api.core.ResourceConfig
`add, clone, getContainerRequestFilters, getContainerResponseFilters, getElements, getElements, getProviderClasses, getProviderSingletons, getResourceFilterFactories, getRootResourceClasses, getRootResourceSingletons, isProviderClass, isRootResourceClass, setPropertiesAndFeatures, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScanningResourceConfig

    public ScanningResourceConfig()

Method Detail

### init

    public void init(Scanner scanner)

  Initialize and scan for root resource and provider classes using a scanner.

  Parameters:
    `scanner` - the scanner.

### reload

    @Deprecated
    public void reload()

  Deprecated.

  Perform a new search for resource classes and provider classes.

  Deprecated, use onReload instead.

### onReload

    public void onReload()

  Perform a new search for resource classes and provider classes.

  Specified by:
    `onReload` in interface `ReloadListener`

Copyright © 2017 Oracle Corporation. All Rights Reserved.